import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
import { Router } from '@angular/router';
import Swiper from 'swiper';


@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page implements OnInit {
  @ViewChild("slide1Comp") slide1Comp:ElementRef |undefined

  constructor(private router: Router) {}
 

  ngOnInit() {
    // 延迟500毫秒加载
    setTimeout(() => {
      this.initSwiper();
    }, 500);
    }
    prevSlide() {
      if (this.slide1) {
        this.slide1.slidePrev();
      }
    }
    // 初始化轮播图
    slide1:Swiper|undefined
    initSwiper(){
    console.log(this.slide1Comp)
    this.slide1 = new Swiper(this.slide1Comp?.nativeElement, {
   // this.slide1 = new Swiper(this.slide1Comp?.nativeElement, {
      loop:true,
      autoplay:{
        delay:500,
      },
      mousewheel: {
        forceToAxis: true,
      },
      pagination:{
        el:".swiper-pagination",
        clickable:true
      }
    });
    }

    

  navigateTo(destination: string) {
    // 根据目标字符串执行相应的导航操作
    if (destination === '景点门票') {
      this.router.navigate(['/jingdian']);
    } else if (destination === '酒店') {
      this.router.navigate(['/jiudian']);
    } else if (destination === '机票') {
      this.router.navigate(['/feiji']);
    } else if (destination === '火车票') {
      this.router.navigate(['/huoche']);
    }
  }
}
