import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page {
  
  selectedSegment: string = 'member';
  memberContent = [
    {
      // title: '私信内容标题1',
      // description: '这是私信内容的描述1',
      // imageUrl: 'https://example.com/image1.jpg'
    },
    {
      // title: '私信内容标题2',
      // description: '这是私信内容的描述2',
      // imageUrl: 'https://example.com/image1.jpg'
    },
    {
      // title: '私信内容标题3',
      // description: '这是私信内容的描述3',
      // imageUrl: 'https://example.com/image1.jpg'
    }
  ];

  orderContent = [
    {
      title: '用户1',
      description: '这是订单内容的描述1',
      imageUrl: 'https://example.com/image1.jpg'
    },
    {
      title: '用户2',
      description: '这是订单内容的描述2',
      imageUrl: 'https://example.com/image1.jpg'
    },
    {
      title: '用户3',
      description: '这是订单内容的描述3',
      imageUrl: 'https://example.com/image1.jpg'
    }
  ];

  interactionContent = [
    {
      title: '互动内容标题1',
      description: '这是互动内容的描述1',
      imageUrl: 'https://example.com/image1.jpg'
    },
    {
      title: '互动内容标题2',
      description: '这是互动内容的描述2',
      imageUrl: 'https://example.com/image1.jpg'
    },
    {
      title: '互动内容标题3',
      description: '这是互动内容的描述3',
      imageUrl: 'https://example.com/image1.jpg'
    }
  ];

  accountContent = [
    {
      title: '账户内容标题1',
      description: '这是账户内容的描述1',
      imageUrl: 'https://example.com/image1.jpg'
    },
    {
      title: '账户内容标题2',
      description: '这是账户内容的描述2',
      imageUrl: 'https://example.com/image1.jpg'
    },
    {
      title: '账户内容标题3',
      description: '这是账户内容的描述3',
      imageUrl: 'https://example.com/image1.jpg'
    }
  ];
  constructor(private router: Router) {}
  navigateTo(destination: string) {
    // 根据目标字符串执行相应的导航操作
    if (destination === 'yonghu1') {
      this.router.navigate(['/xiaoxi']);
    } else if (destination === '酒店') {
      this.router.navigate(['/jiudian']);
    } else if (destination === '机票') {
      this.router.navigate(['/feiji']);
    } else if (destination === '火车票') {
      this.router.navigate(['/huoche']);
    }
  }

}
